QGIS writing out incorrect .prj file

2013-03-16 06:42 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16341

Description

QGIS 1.9 nightly build

Save a layer as a shapefile in EPSG 3857 and different prj and qpj files are written out. The prj file is inadequate. I picked this up when

using the output shapefile as a gdalwarp cutline and the output raster cut was shifted by several kilometres. gdalwarp reads the prj file,

not the qpj file. I renamed the qpj file to .prj and this solved the problem.

.prj:

PROJCS["WGS_84_Pseudo_Mercator",GEOGCS["GCS_WGS_1984",DATUM["D_WGS_1984",SPHEROID["WGS_1984",6378

137,298.257223563]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Mercator"],PARAMETER["central_meridian",0],PARAMETER["false_easting",0],PARAMETER["false_northing",0],UNIT["Meter",

ER["central_meridian",0],PARAMETER["false_easting",0],PARAMETER["false_northing",0],UNIT["Meter",1],PARAMETER["standard_parallel_1",0.0]]


ard_parallel_1",0.0]]

.qpj:

PROJCS["WGS 84 / Pseudo-Mercator",GEOGCS["WGS 84",DATUM["WGS_1984",SPHEROID["WGS

84",6378137,298.257223563,AUTHORITY["EPSG","7030"]],AUTHORITY["EPSG","6326"]],PRIMEM["Greenwich",0,AUTHORITY["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY["EPSG","9122"]],AUTH

Y["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY["EPSG","9122"]],AUTHORITY["EPSG","4326"]],PROJECTION["Mercator_1SP"],PARAMETER["central_meridian",0],PARAMETER["scale_factor",1],PARAMETER["false_easting",0],PARAMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AXIS["X

TION["Mercator_1SP"],PARAMETER["central_meridian",0],PARAMETER["scale_factor",1],PARAMETER["false_easting",0],PARAMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AXIS["X",EAST],AXIS["Y",NORTH],EXTENSION["PROJ4","+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +wktext  +no_defs"],AUTHORITY["EPSG","3857"]]


AMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AXIS["X",EAST],AXIS["Y",NORTH],EXTENSION["PROJ4","+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +wktext  +no_defs"],AUTHORITY["EPSG","3857"]]


OJ4","+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null

+wktext  +no_defs"],AUTHORITY["EPSG","3857"]]

History

#1 - 2014-01-19 12:46 AM - dr -

Confirm such behavior on latest master.

#2 - 2014-02-21 08:54 AM - Chris Matthews

I am also having trouble with the .prj file QGis is creating when working with 3857. I'm using Qgis 2.0.1

#3 - 2014-02-21 09:32 AM - Etienne Tourigny
confirmed. look like the ogr provider needs updating... probably too late to include this in 2.2 though! At least there is a workaround.

#4 - 2014-02-21 10:40 AM - Etienne Tourigny

Fixing this would require fixing QgsVectorFileWriter() and copying the .qpj file to .prj file.

#5 - 2014-02-21 11:23 AM - Jürgen Fischer

Etienne Tourigny wrote:

Fixing this would require fixing QgsVectorFileWriter() and copying the .qpj file to .prj file.

Producing the .qpj is a workaround because OGR converts the SRS to ESRI WKT for the .prj (ie. OSRMorphToESRI()) and that's not lossless.  QGIS

prefers the .qpj with the original information over the .prj.  Keeping the original information is the whole point of the .qpj.

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://www.gdal.org/ogr/classOGRSpatialReference.html#aac948450b15fa3d8814ab440b9f705b7
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

